# $Revision: 1.9 $, $Date: 2002/09/08 19:40:13 $
%include	/usr/lib/rpm/macros.php
%define		_class		Pager
%define		_pearname	%{_class}
Summary:	%{_pearname} - generic data paging class
Summary(pl):	%{_pearname} - podstawowa klasa do dzielenia na strony
Name:		php-pear-%{_pearname}
Version:	1.0.6
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have data that needs paging (ie 1-10 on page one, 11-20 on page
two) this class can help. Pass it an array of data and it will sort it
into pages, picking up the current page id from the url. It can also
give you back/next and page number links taking the current url and
adding the correct page id to it.

%description -l pl
Ta klasa pomaga w sytuacji, kiedy dane wymagaj podziau na strony
(np. pozycje 1-10 na pierwszej stronie, 11-20 na drugiej itd.). Po
przekazaniu tablicy danych klasa dzieli na strony, pobierajc
identyfikator strony z URL-a. Moe take poda odnoniki do
poprzedniej i nastpnej strony, biorc aktualny URL i dodajc do niego
waciwe identyfikatory stron.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/%{_class}.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}
%doc %{_pearname}-%{version}/example.php
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Pager.spec,v $
Revision 1.9  2002/09/08 19:40:13  blues
- 1.0.6 - STBR

Revision 1.8  2002/07/27 13:57:30  blues
- 1.0.5 - STBR

Revision 1.7  2002/07/13 00:02:20  blues
- release 2 (rebuild with new rpm)

Revision 1.6  2002/07/12 11:47:47  blues
- removed not neccessary provides

Revision 1.5  2002/07/01 09:36:57  blues
- 1.0.4
STBR

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/25 21:39:49  blues
- small fix in Summary

Revision 1.1  2002/06/25 14:08:39  blues
- initial release
